Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.enterprisedt.net.ftp
Class OS400FileParser

    java.lang.Object
      com.enterprisedt.net.ftp.FTPFileParser
          com.enterprisedt.net.ftp.OS400FileParser

    public class OS400FileParser

extends FTPFileParser

Represents a remote Netware file parser

Version:
  $Revision: 1.1 $
Author:
  Bruce Blackshaw

Field Summary

Fields inherited from class com.enterprisedt.net.ftp.FTPFileParser
`ignoreDateParseErrors`

Constructor Summary
`OS400FileParser()`

Method Summary
`boolean` | `isValidFormat(java.lang.String[] listing)` Valid format for this parser
`FTPFile` | `parse(java.lang.String raw)` Parse server supplied string
`void` | `setLocale(java.util.Locale locale)` Set the locale for date parsing of listings
`java.lang.String` | `toString()`

Methods inherited from class com.enterprisedt.net.ftp.FTPFileParser
`isMultiLine, setIgnoreDateParseErrors, split, split, split, trimStart`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OS400FileParser

    public OS400FileParser()

Method Detail

### setLocale

    public void setLocale(java.util.Locale locale)

  Set the locale for date parsing of listings

  Specified by:
    `setLocale` in class `FTPFileParser`
  Parameters:
    `locale` - locale to set

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### isValidFormat

    public boolean isValidFormat(java.lang.String[] listing)

  Valid format for this parser

  Overrides:
    `isValidFormat` in class `FTPFileParser`
  Parameters:
    `listing` - listing to test
  Returns:
    true if valid

### parse

    public FTPFile parse(java.lang.String raw)
                  throws DateParseException

  Description copied from class: `FTPFileParser`
  Parse server supplied string

  Specified by:
    `parse` in class `FTPFileParser`
  Parameters:
    `raw` - raw string to parse
  Throws:
    `DateParseException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2001-2007 Enterprise Distributed Technologies Ltd. All Rights Reserved.